Description

DataONE needs to report on a set of standardized statistics on a quarterly basis. It would be good to modify the display in the
#profile page to show all of the statistics needed, as well as to provide the most recent quarterly summaries in a table. Below are
the set of needed stats:

e Data Downloads

Data Uploads

Number of data files available

* Total size of data files available

* Number of metadata files available
¢ Total size of metadata files available
¢ Number of Member Nodes

Many of these could be added to the existing graphs. | think it would also be useful to provide a table showing all of these statistics
for the most recently completed quarter. Maybe more, let's discuss.

Dave shows how to calculate these stats via SOLR queries here:

e https:/repository.dataone.org/documents/Projects/cicore/operations/source/recipes/metrics_report.txt
We also have to report on these, but they probably should come from another source:

e Number of tools in Investigator Toolkit

e Number of publications

e Uptime of CNs

Dave has a system that distinguishes all read events from reads from non-CN sources. See
https://monitor.dataone.org/_production_history/log_history.html

We may want our statistics to also filter out CN reads, as well as other robots.

Related issues:
Related to MetacatUI - Task #6631: Add downloads chart to the Stats View usin... Resolved 12/16/2014

History

#1 - 01/06/2015 04:33 PM - Matt Jones
- Description updated

#2 - 01/21/2015 09:06 AM - Lauren Walker

- Target version changed from 1.7.0 to 1.8.0

#3 -10/12/2015 10:11 AM - Lauren Walker

- Target version changed from 1.8.0 to 1.9.0

#4 - 11/04/2015 12:35 PM - Lauren Walker
- Target version changed from 1.9.0 to 1.12.0

#5 - 01/04/2016 02:33 PM - Lauren Walker

Got a request from Amber today to add to our wishlist:
https://repository.dataone.org/documents/Projects/cicore/operations/source/recipes/metrics_report.txt
https://monitor.dataone.org/_production_history/log_history.html

- Percentages in donut charts where file formats are
- Histogram of file sizes

#6 - 01/19/2016 09:56 AM - Lauren Walker
- Target version deleted (1.12.0)
